MS10-098: Vulnerabilities in Windows Kernel-Mode Drivers Could Allow Elevation of Privilege (2436673)

High Nessus Plugin ID 51170


A privilege escalation vulnerability exists in the Windows kernel.


The remote host is running a version of Windows that contains a flaw in the kernel that may lead to a privilege escalation by running a specially crafted application.

To exploit this vulnerability an attacker must have valid logon credentials and be able to log on locally.


Microsoft has released a set of patches for XP, 2003, Vista, 2008, 7, and 2008 R2.

See Also

Plugin Details

Severity: High

ID: 51170

File Name: smb_nt_ms10-098.nasl

Version: $Revision: 1.20 $

Type: local

Agent: windows

Published: 2010/12/15

Modified: 2017/07/26

Dependencies: 13855, 57033

Risk Information

Risk Factor: High


Base Score: 7.2

Temporal Score: 5.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/12/14

Vulnerability Publication Date: 2010/12/14

Reference Information

CVE: CVE-2010-3939, CVE-2010-3940, CVE-2010-3941, CVE-2010-3942, CVE-2010-3943, CVE-2010-3944

BID: 42291, 45286, 45287, 45288, 45289, 45298

OSVDB: 69797, 69798, 69799, 69800, 69801, 69802

MSFT: MS10-098

MSKB: 2436673